Subject: bug#330: Emacs 22.2: iso-2022-jp fails to encode some valid characters

From: [email-masked] (Andrew Church)
Date: Wed, 28 May 2008 12:42:38 JST

The iso-2022-jp coding system in Emacs 22.2 seems to fail to encode
certain characters which are in fact valid in that coding system.  For
example, Unicode character U+2606 WHITE STAR encodes to 0x21 0x79 in
ISO-2022-JP (JIS X 0208), but when one attempts to save a buffer
containing this character, Emacs complains about being unable to encode
that character, and prompts the user to select a different coding system.
The same is true for U+266A EIGHTH NOTE (0x22 0x76), and possibly others.

I'd like to be able to offer a patch, but I haven't been able to locate
where the encoding mappings are defined in the Emacs source code.  If you
can point me in the right direction, I'll see what I can do.

  --Andrew Church
    [email-masked]
    http://achurch.org/